Subject: bug#62216: Narrowed the issue to one line

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Aug 2023 18:41:07 +0300

> Date: Tue, 22 Aug 2023 09:10:10 -0500
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 8/22/23 08:08, Jonathon McKitrick wrote:
> > Other than comparing the different lengths being calculated and reporting
> > them, is there any other logging I should run locally that could shed
> > light on this mystery?
> 
> Possibly the problem has to do with markers pointing into the buffer, so 
> it might be helpful to log their contents before and after the insert in 
> question.

Can you elaborate?  What kind of problems could the markers cause in
this case? disrupt the character-to-byte position conversion?
something else?